# Business Units Business Units ## Gets all of the business units in the system. - [GET /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/listbusinessunits.md): This method will scan all business units and and return them to the caller. ## Creates a new business unit record that does not already exist. - [POST /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/createbusinessunit.md): This method will auto-generate an ID and create a new business unit. If an ID is specified for the business unit, an error will be thrown. ## Execute Batch Operations - [POST /businessUnits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a business unit from the system by its ID. - [DELETE /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/deletebusinessunit.md): This method will delete a business unit with the specified ID. ## Returns a business unit from the system by its ID. - [GET /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/getbusinessunit.md): This method will look up a business unit by the specified ID and return it back. ## Partially updates a business unit with the specified ID. - [PATCH /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/patchbusinessunit.md): This method will patch an existing business unit with the specified ID, using the HTTP PATCH specification. ## Updates a business unit with the specified ID. - [PUT /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/updatebusinessunit.md): This method will update an existing business unit with the specified ID.